
// =======================================================================================
// Copyright (c) 2014, Abstraction Games B.V.
// =======================================================================================

precision mediump float;

// =======================================================================================

uniform         sampler2D   uniform_Texture;

// =======================================================================================

varying         vec2        pass_UV;
varying lowp    vec4        pass_Color;

// =======================================================================================

void main( void )
{
    vec4 textureColor = texture2D( uniform_Texture, pass_UV );
    
    gl_FragColor = textureColor * pass_Color;
}
