
// =======================================================================================
// Copyright (c) 2014, Abstraction Games B.V.
// =======================================================================================

precision mediump float;

// =======================================================================================

uniform         mat4        uniform_ModelViewProjection;

// =======================================================================================

attribute       vec2        in_Position;
attribute       vec2        in_UV;
attribute lowp  vec2        in_ColorWeight;

// =======================================================================================


varying         vec2        pass_UV;
varying         vec2        pass_ColorWeight;

// =======================================================================================



void main( void )
{
    gl_Position = uniform_ModelViewProjection * vec4( in_Position.xy, 0, 1 );
    pass_UV     = in_UV;
    pass_ColorWeight  = in_ColorWeight;
}


















